package gmt.protocol.ext.VO;

import java.util.ArrayList;
import java.util.List;

public class ExtMsg_RPC01VO {
	private String msg;
	private String packetType;
	private List<Integer> statusList;
	
	public ExtMsg_RPC01VO() {
		this.msg = "";
		this.packetType = "";
		this.statusList = new ArrayList<Integer>();
	}
	
	public String getMsg() {
		return msg;
	}
	public void setMsg(String msg) {
		this.msg = msg;
	}
	public String getPacketType() {
		return packetType;
	}
	public void setPacketType(String packetType) {
		this.packetType = packetType;
	}
	public List<Integer> getStatusList(){
		return statusList;
	}
	public void addList(int status) {
		if (this.statusList != null)
			this.statusList.add(status);
	}
	public void clearList() {
		if (this.statusList != null)
			this.statusList.clear();
	}
	
    //{Todo : List Add 핸들링 방법 결정 후 작업 필요}
}
